# ds__ReferenceType Struct Reference

"http://www.w3.org/2000/09/xmldsig#":ReferenceType is a complexType. More...

`#include <ds.h>`

Collaboration diagram for ds__ReferenceType:

[legend]
List of all members.

## Public Attributes

ds__TransformsType * | Transforms
| Element reference "http://www.w3.org/2000/09/xmldsig#":Transforms.
ds__DigestMethodType * | DigestMethod
| Element reference "http://www.w3.org/2000/09/xmldsig#":DigestMethod.
char * | DigestValue
| Element reference "http://www.w3.org/2000/09/xmldsig#":DigestValue.
char * | Id
| Attribute Id of type xs:ID.
char * | URI
| Attribute URI of type xs:anyURI.
char * | Type
| Optional attribute.

## Detailed Description

"http://www.w3.org/2000/09/xmldsig#":ReferenceType is a complexType.

## Member Data Documentation

struct ds__DigestMethodType* ds__ReferenceType::DigestMethod

| Element reference "http://www.w3.org/2000/09/xmldsig#":DigestMethod. Required element.

char* ds__ReferenceType::DigestValue

| Element reference "http://www.w3.org/2000/09/xmldsig#":DigestValue. Required element.

char* ds__ReferenceType::Id

| Attribute Id of type xs:ID. Optional attribute.

struct ds__TransformsType* ds__ReferenceType::Transforms

| Element reference "http://www.w3.org/2000/09/xmldsig#":Transforms. Optional element.

char* ds__ReferenceType::Type

| Optional attribute.

char* ds__ReferenceType::URI

| Attribute URI of type xs:anyURI. Optional attribute.

The documentation for this struct was generated from the following file:

- /Users/engelen/Projects/gsoap/import/ds.h